### Hierarchy

- BaseSetting
  - SortableList
  - CheckboxSetting
  - RadioSetting
  - ComponentSetting

## Index

### Constructors

- constructor

### Properties

- _inputs
- _outputs
- component
- content
- contentObservable
- contentSubscription
- options
- staged
- template

### Methods

- commit
- getContent
- getInputs
- getOutputs
- getTemplate
- onChanges
- setContent
- setTemplate
- toJSON
- toString

## Constructors

### constructor

- new BaseSetting(options?: SettingOptions): BaseSetting

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:32

  #### Parameters

  - ##### Optional options: SettingOptions

  #### Returns BaseSetting

## Properties

### Protected _inputs

_inputs: Map<any, any> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:31

### Protected _outputs

_outputs: Map<any, any> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:32

### Readonly component

component: any

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:22

### Protected content

content: BehaviorSubject<any> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:26

### Protected contentObservable

contentObservable: Observable<any> = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:27

### Protected contentSubscription

contentSubscription: Subscription = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:28

### Protected options

options: SettingOption[]

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:24

### Protected staged

staged: {} = ...

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:25

#### Type declaration

### Protected Optional template

template: TemplateRef<any>

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:29

## Methods

### commit

- commit(): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:99

  #### Returns void

### getContent

- getContent(): Observable<any>

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:40

  #### Returns Observable<any>

### getInputs

- getInputs(): Map<any, any>

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:68

  gets a map of input names to values

  By default returns a map of 'options' to `this.options`

  #### Returns Map<any, any>

### getOutputs

- getOutputs(): Map<any, any>

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:72

  #### Returns Map<any, any>

### getTemplate

- getTemplate(): TemplateRef<any>

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:55

  #### Returns TemplateRef<any>

### onChanges

- onChanges(changes: SettingChanges): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:93

  #### Parameters

  - ##### changes: SettingChanges

  #### Returns void

### setContent

- setContent(content: Content): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:44

  #### Parameters

  - ##### content: Content

  #### Returns void

### setTemplate

- setTemplate(template: TemplateRef<any>): void

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:59

  #### Parameters

  - ##### template: TemplateRef<any>

  #### Returns void

### toJSON

- toJSON(): object

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:76

  #### Returns object

### toString

- toString(): string

- - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:89

  #### Returns string

Generated using TypeDoc